summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-07-25 10:05:09 +0200
committerMichał Górny <mgorny@gentoo.org>2020-07-25 10:31:24 +0200
commitd8708fcf676f4b8553e7639f76127417e296feca (patch)
treed76c0d094eaea94c7eb212ebc751477e5074a76d /dev-python/virtualenv
parentdev-python/distlib: Call pypi-server as external executable (diff)
downloadgentoo-d8708fcf676f4b8553e7639f76127417e296feca.tar.gz
gentoo-d8708fcf676f4b8553e7639f76127417e296feca.tar.bz2
gentoo-d8708fcf676f4b8553e7639f76127417e296feca.zip
dev-python/virtualenv: Fix skipping tests on py2+pypy3
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/virtualenv')
-rw-r--r--dev-python/virtualenv/virtualenv-20.0.27.ebuild11
-rw-r--r--dev-python/virtualenv/virtualenv-20.0.28.ebuild11
2 files changed, 14 insertions, 8 deletions
diff --git a/dev-python/virtualenv/virtualenv-20.0.27.ebuild b/dev-python/virtualenv/virtualenv-20.0.27.ebuild
index a8a3d84852f..65177020198 100644
--- a/dev-python/virtualenv/virtualenv-20.0.27.ebuild
+++ b/dev-python/virtualenv/virtualenv-20.0.27.ebuild
@@ -79,10 +79,13 @@ src_configure() {
}
python_test() {
- # TODO: fix/skip with more granularity tests on pypy3
- if has "${EPYTHON}" pypy3 python2.7; then
- einfo "Skipping broken tests on pypy3"
- continue
+ if ! python_is_python3; then
+ ewarn "Tests are skipped on py2, please test externally"
+ return
+ elif [[ ${EPYTHON} == pypy3 ]]; then
+ # TODO: skip with better granularity
+ ewarn "Skipping broken tests on pypy3"
+ return
fi
distutils_install_for_testing
diff --git a/dev-python/virtualenv/virtualenv-20.0.28.ebuild b/dev-python/virtualenv/virtualenv-20.0.28.ebuild
index a8a3d84852f..65177020198 100644
--- a/dev-python/virtualenv/virtualenv-20.0.28.ebuild
+++ b/dev-python/virtualenv/virtualenv-20.0.28.ebuild
@@ -79,10 +79,13 @@ src_configure() {
}
python_test() {
- # TODO: fix/skip with more granularity tests on pypy3
- if has "${EPYTHON}" pypy3 python2.7; then
- einfo "Skipping broken tests on pypy3"
- continue
+ if ! python_is_python3; then
+ ewarn "Tests are skipped on py2, please test externally"
+ return
+ elif [[ ${EPYTHON} == pypy3 ]]; then
+ # TODO: skip with better granularity
+ ewarn "Skipping broken tests on pypy3"
+ return
fi
distutils_install_for_testing